/*
 * anticrack.h - the header file for AntiCrack
 *
 *  Copyright (C) 1996  Kazuto Tominaga
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

/* to embed in binary code */
#define ANTICRACK_H_VERSION \
    "@(#) $Id: anticrack.h,v 1.11 1993/11/18 08:24:21 tominaga Exp tominaga $"

/* this version */
#define VERSION "AntiCrack v1.11"

/* turn on TOMINAGA if you use Tominaga's extended ruleset */
#ifndef TOMINAGA
#define TOMINAGA 0
#endif

#define PWLEN 8
#define MAXPWLINE 1024
#define RBUFSIZE 1024
#define DBUFSIZE 1024

#define RULE_NOOP	':'
#define RULE_PREPEND	'^'
#define RULE_APPEND	'$'
#define RULE_REVERSE	'r'
#define RULE_UPPERCASE	'u'
#define RULE_LOWERCASE	'l'
#define RULE_PLURALISE	'p'
#define RULE_CAPITALISE	'c'
#if TOMINAGA
#define RULE_ONEUPPER	'+'
#endif /* TOMINAGA */
#define RULE_DUPLICATE	'd'
#define RULE_REFLECT	'f'
#define RULE_SUBSTITUTE	's'
#define RULE_MATCH	'/'
#define RULE_NOT	'!'
#define RULE_LT		'<'
#define RULE_GT		'>'
#define RULE_EXTRACT	'x'
#define RULE_OVERSTRIKE	'o'
#define RULE_INSERT	'i'
#define RULE_EQUALS	'='
#define RULE_PURGE	'@'
#define RULE_CLASS	'?'

#define DOT	((char)128)
#define STAR	((char)129)

#define Pateq(c1,c2)	((c1)==DOT||(c2)==DOT||(c1)==(c2))

#define Isalpha(c)	(isascii((c)) && isalpha((c)))
#define Islower(c)	(isascii((c)) && islower((c)))
#define Isupper(c)	(isascii((c)) && isupper((c)))

#define MAYBE	1
#define CONT	0
#define ACCEPT	0
#define REJECT	-1

#include <string.h>
#include "crack.h"

extern int debug, comment, showcracked;
